%global pypi_name protobuf
%global commitId ab840345966d0fa8e7100d771c92a73bfbadd25c

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        4.21.5
Release:        1%{?dist}
Summary:        Python 3 bindings for Google Protocol Buffers

License:        BSD
URL:            https://github.com/protocolbuffers/protobuf
Source0:        python-protobuf-ab840345966d0fa8e7100d771c92a73bfbadd25c.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel

%description
This package contains Python 3 libraries for Google Protocol Buffers

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Python 3 bindings for Google Protocol Buffers

%description -n python%{python3_pkgversion}-%{pypi_name}
This package contains Python 3 libraries for Google Protocol Buffers

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
export PTHREAD_LIBS="-lpthread"
./autogen.sh
%configure
%make_build CXXFLAGS="%{build_cxxflags} -Wno-error=type-limits"

pushd python
%{py3_build}
popd

%install
pushd python
%{py3_install}
popd

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc python/README.md
%license LICENSE
%dir %{python3_sitelib}/google
%{python3_sitelib}/google/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}-nspkg.pth

%changelog
* Thu Aug 25 2022 Dimitri Savineau <dsavinea@redhat.com> 4.21.5-1
- Initial release
